#include "utils.h"

std::vector<std::string> utils::split(const std::string &line, char sep){
    std::vector<std::string> tokens;
    std::size_t start=0, end=0;
    while((end = line.find(sep,start)) != std::string::npos){
        tokens.push_back(line.substr(start,end-start));
        start=end+1;
    }
    tokens.push_back(line.substr(start));
    return tokens;
}
